ENTRY(_boot_cores);

/* SECTIONS */
/* { */
/*     . = 0x8000; */

/*     .text : */
/*     { */
/*         KEEP(*(.text.boot)) *(.text .text.*) */
/*     } */

/*     /DISCARD/ : { *(.comment) *(.gnu*) *(.note*) *(.eh_frame*) } */
/* } */


SECTIONS
{
    /* Starts at LOADER_ADDR. */
    . = 0x8000;
    __start = .;
    __text_start = .;
    .text :
    {
        KEEP(*(.text.boot))
        *(.text)
    }
    . = ALIGN(4096); /* align to page size */
    __text_end = .;
 
    __rodata_start = .;
    .rodata :
    {
        *(.rodata)
    }
    . = ALIGN(4096); /* align to page size */
    __rodata_end = .;
 
    __data_start = .;
    .data :
    {
        *(.data)
    }
    . = ALIGN(4096); /* align to page size */
    __data_end = .;
 
    __bss_start = .;
    .bss :
    {
        bss = .;
        *(.bss)
    }
    . = ALIGN(4096); /* align to page size */
    __bss_end = .;
    __end = .;

  /DISCARD/ :
  {
    /* Unused exception related info that only wastes space */
    *(.ARM.exidx.*);
    *(.ARM.extab.*);
  }
}
